/* global describe it expect */
import React from 'react'
import { shallow, mount } from 'enzyme'
import Box from './Box'
import Link from './Link'

describe('<Box />', () => {
  it('should render a Box', () => {
    const box = shallow(<Box />)
    expect(box.text()).toEqual('<Box />')
  })

  it(`is a 'div' element by default`, () => {
    const box = shallow(<Box />)
    expect(box.html()).toMatch('</div>')
  })
})

describe(`<Box is='p' />`, () => {
  it(`is a 'p' element`, () => {
    const box = shallow(<Box is='p' />)
    expect(box.html()).toMatch('</p>')
  })
})

describe(`<Box is={Link} />`, () => {
  it('should render a Box', () => {
    const box = shallow(<Box is={Link} />)
    expect(box.text()).toEqual('<Box />')
  })

  it(`is an 'a' element`, () => {
    const box = shallow(<Box is={Link} />)
    expect(box.html()).toMatch('</a>')
  })
})
